Index: src/main/java/edu/gjoko/schedlr/config/AppFilter.java
===================================================================
--- src/main/java/edu/gjoko/schedlr/config/AppFilter.java	(revision 46fd0c7386f67547f6b1e9764cb7ea68cd35f8fc)
+++ src/main/java/edu/gjoko/schedlr/config/AppFilter.java	(revision 905079022f7186a4860b626d48726296b486025f)
@@ -24,5 +24,7 @@
         HttpSession session = httpServletRequest.getSession(false);
 
-        if(httpServletRequest.getRequestURI().endsWith(".js") || httpServletRequest.getRequestURI().endsWith(".css")) {
+        if(httpServletRequest.getRequestURI().endsWith(".js")
+                || httpServletRequest.getRequestURI().endsWith(".css")
+                || httpServletRequest.getRequestURI().startsWith("/api")) {
             filterChain.doFilter(servletRequest, servletResponse);
             return;
Index: src/main/java/edu/gjoko/schedlr/controllers/rest/BusinessController.java
===================================================================
--- src/main/java/edu/gjoko/schedlr/controllers/rest/BusinessController.java	(revision 46fd0c7386f67547f6b1e9764cb7ea68cd35f8fc)
+++ src/main/java/edu/gjoko/schedlr/controllers/rest/BusinessController.java	(revision 905079022f7186a4860b626d48726296b486025f)
@@ -21,11 +21,11 @@
 
     @GetMapping
-    public List<Business> getNewBusinesses() {
-        return businessService.getNewBusiness();
+    public List<Business> findAll() {
+        return businessService.findAll();
     }
 
     @PatchMapping
-    public void activateBusinesses(@RequestBody List<Business> businessList) {
-        businessService.activateBusinesses(businessList);
+    public void updateBusinesses(@RequestBody List<Business> businessList) {
+        businessService.updateBusinesses(businessList);
     }
 }
Index: src/main/java/edu/gjoko/schedlr/entity/BusinessStatus.java
===================================================================
--- src/main/java/edu/gjoko/schedlr/entity/BusinessStatus.java	(revision 46fd0c7386f67547f6b1e9764cb7ea68cd35f8fc)
+++ src/main/java/edu/gjoko/schedlr/entity/BusinessStatus.java	(revision 905079022f7186a4860b626d48726296b486025f)
@@ -4,4 +4,4 @@
     NEW,
     ACTIVE,
-    BLOCKED
+    DEACTIVATED
 }
Index: src/main/java/edu/gjoko/schedlr/services/BusinessService.java
===================================================================
--- src/main/java/edu/gjoko/schedlr/services/BusinessService.java	(revision 46fd0c7386f67547f6b1e9764cb7ea68cd35f8fc)
+++ src/main/java/edu/gjoko/schedlr/services/BusinessService.java	(revision 905079022f7186a4860b626d48726296b486025f)
@@ -2,5 +2,4 @@
 
 import edu.gjoko.schedlr.entity.Business;
-import edu.gjoko.schedlr.entity.BusinessStatus;
 import edu.gjoko.schedlr.entity.ServiceType;
 import edu.gjoko.schedlr.entity.StakeholderType;
@@ -11,5 +10,4 @@
 
 import java.util.List;
-import java.util.stream.Collectors;
 
 import static edu.gjoko.schedlr.entity.BusinessStatus.ACTIVE;
@@ -32,23 +30,22 @@
     public void saveNewServiceTypes(Business business) {
         business.getServices()
-            .stream()
-            .forEach(service -> {
-                if(service.getServiceType().getId() == null) {
-                    ServiceType serviceType = service.getServiceType();
-                    serviceType.setBusinessType(business.getBusinessType());
-                    service.setServiceType(serviceTypeRepository.save(serviceType));
-                }
-            });
+                .stream()
+                .forEach(service -> {
+                    if (service.getServiceType().getId() == null) {
+                        ServiceType serviceType = service.getServiceType();
+                        serviceType.setBusinessType(business.getBusinessType());
+                        service.setServiceType(serviceTypeRepository.save(serviceType));
+                    }
+                });
     }
 
-    public List<Business> getNewBusiness() {
-        return businessRepository.findBusinessesByBusinessStatus(NEW);
+    public List<Business> findAll() {
+        return businessRepository.findAll();
     }
 
-    public void activateBusinesses(List<Business> businessList) {
+    public void updateBusinesses(List<Business> businessList) {
         businessList
                 .stream()
                 .forEach(business -> {
-                    business.setBusinessStatus(ACTIVE);
                     businessRepository.save(business);
                 });
